<div class="wrapper wrapper-content animated fadeInRight">

    <div class="panel panel-success">

        <div class="panel-heading"><h3>MEMBERS</h3></div>
        <div class="panel-body">

            <table class="table table-striped">
                <thead>
                <tr>
                    <th width="150px">Name<br/>Surname</th>
                    <th width="200px">Attendance</th>
                    <th>Details</th>
                </tr>
                </thead>
                <tr *ngFor="let member of memberArray;">
                    <td>{{ member.first_name }}<br/>{{ member.last_name }}</td>
                    <td>
                        <div data-toggle="buttons" class="btn-group btn-group-toggle">
                            <label class="btn btn-sm"
                                   [ngClass]="{'btn-info active': savedAttendanceArray[member.id]?.state === 'present'}">
                                <input type="radio" id="option1" name="options"
                                       (click)="updateMemberAttendance('present', savedAttendanceArray[member.id]?.state, member.id)">
                                Present
                            </label>
                            <label class="btn btn-sm"
                                   [ngClass]="{'btn-white active': savedAttendanceArray[member.id]?.state === 'absent' || savedAttendanceArray[member.id]?.state === undefined }">
                                <input type="radio" id="option2" name="options" (click)="staticModal.show()"> Absent
                            </label>
                        </div>
                    </td>
                    <td *ngIf="savedAttendanceArray[member.id]?.state === 'present'">
                        <table>
                            <tr>
                                <td>
                                    <select class="form-control m-b" name="account"
                                            (change)="updateCampus($event.target.value, member.id)">
                                        <option [selected]="campusArray[member.id] == campus.campus_name"
                                                *ngFor="let campus of attendanceData.service_details;">{{
                                            campus.campus_name }}
                                        </option>
                                    </select>
                                </td>
                                <td>
                                    <div style="float: left; margin-left: 15px;"
                                         *ngFor="let service of serviceArray[member.id];">
                                        <div style="float: left;">
                                            <input type="checkbox"
                                                   name="{{member.id+'-'+service.id}}"
                                                   value="{{service.id}}"
                                                   id="{{member.id+'-'+service.id}}"
                                                   (change)="updateService(service.id, member.id)"
                                                   [(ngModel)]="memberActiveServices[member.id+'-'+service.id]"/>
                                            <label for="{{member.id+'-'+service.id}}"></label>
                                        </div>
                                        <div style="float: left;">{{service.service_name}}
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td width="75%" *ngIf="savedAttendanceArray[member.id]?.state === 'absent'">
                        <textarea [(ngModel)]="absentCommentArray[member.id]"
                                  (blur)="updateAbsentComment(member.id, absentCommentArray[member.id])" cols="4"
                                  class="fullWidth">
                        </textarea>
                    </td>

                    <div class="modal fade" bsModal #staticModal="bs-modal" [config]="{backdrop: 'static'}"
                         tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-sm">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title pull-left">Confirmation</h4>
                                    <button type="button" class="close pull-right" aria-label="Close"
                                            (click)="staticModal.hide()">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    Are you sure you want to remove all services for this user?
                                    <button type="button" class="btn btn-success"
                                            (click)="updateMemberAttendance('absent', savedAttendanceArray[member.id]?.state, member.id); staticModal.hide()">Yes
                                    </button>
                                    &nbsp;&nbsp;
                                    <button type="button" class="btn btn-danger" (click)="staticModal.hide()">No
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </tr>
            </table>

            <button type="button" class="btn btn-success pull-right"
                    [routerLink]="['/revisit-attendance/'+attendanceReportId]">Next
            </button>
        </div>
    </div>
</div>
